function getcolumns(setdrawer) {
  return [
    {
      title: '用户名',
      dataIndex: 'username',
      key: 'username',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '姓名',
      dataIndex: 'fullName',
      key: 'fullName',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    { title: '手机号', dataIndex: 'telephone', key: 'telephone' },
    { title: '邮箱', dataIndex: 'mailNo', key: 'mailNo' },
    {
      title: '公司名称',
      align: 'center',
      dataIndex: 'organizationName',
      width: 120,
      key: 'organizationId',
      valueType: 'select',
      options: { path: '/auth/sysDepartment/query/organization/selectbox', params: {} },
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '部门名称',
      width: 120,
      align: 'center',
      valueType: 'select',
      dataIndex: 'departmentName',
      key: 'departmentId',
      options: {
        path: '/auth/sysDepartment/query/depart/selectbox',
        linkParams: {
          organizationId: 'parentId',
        },
      },
    },
    {
      title: '负责工厂',
      dataIndex: 'factoryName',
      key: 'factoryId',
      width: 120,
      align: 'center',
      valueType: 'select',
      options: { path: '/auth/sysFactory/getAllFactorySelection', params: {} },
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '负责车间',
      dataIndex: 'shopName',
      align: 'center',
      width: 120,
      valueType: 'select',
      options: {
        path: '/auth/sysShop/getShopSelectionByFactory',
        linkParams: {
          factoryId: '',
        },
      },
      key: 'shopId',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '负责工段',
      width: 120,
      dataIndex: 'sectionName',
      align: 'center',
      key: 'sectionId',
      valueType: 'select',
      options: {
        path: '/auth/sysSection/getAllSectionSelectionByShop',
        linkParams: {
          shopId: '',
        },
      },
    },
    {
      title: '负责产线',
      width: 120,
      dataIndex: 'productionLines',
      valueType: 'select',
      search: false,
      key: 'productLineName',
      align: 'center',
      options: {
        path: '/auth/sysProductionLine/getAllProductLineSelectionByShop',
        linkParams: {
          shopId: '',
        },
      },
    },
    { title: '角色配置', dataIndex: 'roleNames', key: 'roleNames' },
    { title: '直属领导名称', dataIndex: 'parentName', key: 'parentId' },
    { title: '状态', dataIndex: 'status', key: 'status' },
    { title: '状态名', dataIndex: 'statusName', key: 'status', search: false },
    { title: '备注', dataIndex: 'remarks', key: 'remarks' },
  ];
}

export default getcolumns;
